Subject: [bug#73296] [PATCH v2] home: services: dbus: Add utilities to profile.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 17 Nov 2024 23:05:32 +0100

Hi,

Simon Streit <[email-masked]> skribis:

>> Could you explain?  What’s the point of ‘home-dbus-service-type’?  :-)
>
> This is an interesting question that you are asking.  For me, and the
> first two years with Guix, I never had a proper running dbus session
> when running, first with i3, and then with sway from there on.  It would
> work with GNOME.  But I'd never hang around there for long and I learned
> to live without dbus that would produce strange effects in strange
> situations.
>
> It only happened after I migrated to Guix Home and enabling
> home-dbus-service-type that I finally had a fully functioning
> environment with dbus.  It solved so many problems since and I never
> fully understood why I was missing dbus in the first place.  It either
> never either launched properly -- which I doubt, since applications like
> pulseaudio where running --, or I had never sourced some variables
> properly.
>
> To answer your question: This service is quite the requirement to have a
> desktop environment that is not based on the bigger variants that
> usually provide it.

OK, interesting.  I’m not using it and not noticing problems (or did I
get used to the D-Bus class of problems?).

Thanks for your reply,
Ludo’.